<template>
  <router-link tag="a" class="button" to="/filter">
    <span class="button-text">{{$t('lang.filter.button')}}</span>
  </router-link>
</template>

<script>
export default {};
</script>

<style lang="scss" scoped>
.button {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: #616161;
  color: white;
  padding: 20px 40px;
  position: fixed;
  bottom: 40px;
  left: 50%;
  transform: translateX(-50%);
  border-radius: 50px;
  z-index: 10;

  &:hover {
    opacity: 0.9;
    transition: all 0.1s ease-in-out;
  }
}
</style>